CREATE TABLE prefix_cms (
  id SERIAL,
  name VARCHAR(100) NOT NULL,
  value VARCHAR(255),
  PRIMARY KEY (id)
);

CREATE UNIQUE INDEX prefix_cms_name_idx ON prefix_cms (name);

INSERT INTO prefix_cms (name,value) VALUES ('version', '2005112001');

CREATE TABLE prefix_cmsnavi (
  id SERIAL,
  course INTEGER NOT NULL default '1',
  name VARCHAR(255) NOT NULL default '',
  intro TEXT,
  created INTEGER NOT NULL default '0',
  modified INTEGER NOT NULL default '0',
  requirelogin CHAR(1) NOT NULL default '0',
  allowguest CHAR(1) NOT NULL default '0',
  printdate CHAR(1) NOT NULL default '1',
  PRIMARY KEY  (id)
);

CREATE INDEX prefix_cmsnavi_idx ON prefix_cmsnavi (course);

CREATE TABLE prefix_cmsnavi_data (
  id SERIAL,
  naviid INTEGER NOT NULL default '0',
  pageid INTEGER NOT NULL default '0',
  title VARCHAR(100) NOT NULL default 'No title',
  isfp CHAR(1) NOT NULL default '0',
  sortorder INTEGER NOT NULL default '0',
  parentid INTEGER NOT NULL default '0',
  PRIMARY KEY  (id)
);

CREATE INDEX prefix_navi_data_idx ON prefix_cmsnavi_data (naviid, pageid, isfp);
CREATE INDEX prefix_navi_parent_idx ON prefix_cmsnavi_data (parentid);

CREATE TABLE prefix_cmspages (
  id SERIAL,
  body TEXT,
  created INTEGER NOT NULL default '0',
  modified INTEGER NOT NULL default '0',
  publish INTEGER NOT NULL default '1',
  PRIMARY KEY  (id)
);

CREATE INDEX prefix_cmspages_idx ON prefix_cmspages (publish);
