<?php // $Id$
// Delete selected menu

    require_once("../config.php");
    include_once('cmslocallib.php');

    $id   = required_param('id', PARAM_INT);       // menu id
    $skey = required_param('sesskey', PARAM_ALPHANUM);
    $courseid = optional_param('course', 0, PARAM_INT);

    if (! confirm_sesskey($skey)) {
        error("Session key error!");
    }

    /// Set up the overall site name etc.
    if (! $site = get_site()) {
        redirect("site.php");
    }

    if ( empty($courseid) ) {
        $courseid = $site->id;
    }

    if ( !$course = get_record("course", "id", $courseid) ) {
        error("Invalid course id!!!!");
    }

    require_login();

    $isadmin = isadmin();
    $isteacheredit = isteacheredit($course->id);

    if ( !$isadmin && !$isteacheredit ) {
        error("You need to be an admin user to use this page.", "$CFG->wwwroot/login/index.php");
    }

    if ($menu = data_submitted()) {

        // Just to be sure!
        if (empty($menu->id)) {
            error("Required variable missing!");
        }

        $menu->id = clean_param($menu->id, PARAM_INT);

        $pagerecords = get_records("cmsnavi_data","naviid", $menu->id);

        // Remove related pages

        if (! empty($pagerecords)) {
            foreach ($pagerecords as $pr) {

                $pr->pageid = addslashes($pr->pageid);
                if (! delete_records("cmspages", "id", $pr->pageid)) {
                    error("Couldn't delete related page records!");
                }

                $pr->id = addslashes($pr->id);

                if ( ! delete_records("cmsnavi_data", "id", $pr->id)) {
                    error("Couldn't delete related navigation data!");
                }
            }
        }

        if (!delete_records("cmsnavi","id", $menu->id)) {
            error("Couldn't delete requested menu!");
        }

        $message = get_string("menudeleted","cms");
        redirect("menus.php?course=$courseid&amp;sesskey=$USER->sesskey", $message);

    } else {
        // Print confirmation page
        // Just to be sure!!
        if (empty($id)) {
            error("Required variable missing!");
        }

        $stradministration = get_string("administration");
        $strdeletemenu     = get_string("deletemenu","cms");
        $strcms            = get_string("cms","cms");
        $strmenus          = get_string("menus","cms");

        if ($course->category) {
            $navigation = "<a href=\"../course/view.php?id=$course->id\">$course->shortname</a> -> ";
        } else {
            $navigation = '';
        }

        $navigation .= '<a href="./index.php?course='. $course->id .'&amp;sesskey='. $USER->sesskey .'">'.
                      $strcms .'</a> -> <a href="./menus.php?course='. $course->id .'&amp;sesskey= '. $USER->sesskey .
                      '">'. $strmenus .'</a> -> ';

        ob_start();

        print_header("$site->shortname: $stradministration","$site->fullname", "$navigation $strdeletemenu");
        print_simple_box_start("center", "100%", "", 20);
        print_heading($strdeletemenu);

        $form = get_record("cmsnavi", "id", $id);

        $deletemessage = get_string("menudeletesure","cms", $form->name);
        $form->id = $id;
        include('html/delete.php');

        print_simple_box_end();
        print_footer($course);

        ob_end_flush();

    }
?>