<?php // $Id$
// Add new page

    require_once("../config.php");
    include_once('cmslocallib.php');

    // Required params.
    $id   = required_param('id', PARAM_INT); // Menu id
    $skey = required_param('sesskey', PARAM_ALPHANUM);
    // Optional params.
    $parentid = optional_param('parentid', 0, PARAM_INT);
    $courseid = optional_param('course', 0, PARAM_INT);

    /// Set up the overall site name etc.
    if (! $site = get_site()) {
        redirect("site.php");
    }

    if ( empty($courseid) ) {
        $courseid = $site->id;
    }

    if ( !$course = get_record("course", "id", $courseid) ) {
        error("Invalid course id!!!");
    }

    require_login();

    if ( !confirm_sesskey($skey) ) {
        error("Session key error!!!");
    }

    $isadmin = isadmin();
    $isteacheredit = isteacheredit($course->id);

    if ( !$isadmin && !$isteacheredit ) {
        error("You need to be an admin user to use this page.", "$CFG->wwwroot/");
    }

    if ($page = data_submitted() ) {

        if (empty($page->naviid)) {
            error("Required variable missing!");
        }

        $page->title = stripslashes(strip_tags($page->title));

        if ( preg_match("/^\S{3,}/", $page->title) ) {

            $page->title  = addslashes($page->title);
            $page->naviid = clean_param($page->naviid, PARAM_INT);

            // insert page first
            $page->id       = NULL;
            $page->parentid = !empty($parentid) ? intval($parentid) : 0;
            $page->created  = time();
            $page->modified = time();
            $page->body     = strip_tags($page->body, $ALLOWED_TAGS);
            $page->body     = addslashes($page->body);

            if (!empty($page->publish) or !empty($page->isfp)) {
                $page->publish = 1;
            } else {
                $page->publish = 0;
            }

            if (!$pageid = insert_record("cmspages", $page)) {
                error("Couldn't create new page!");
            }

            // Insert title to cmsnavi_data

            $page->pageid      = &$pageid;
            $page->isfp        = 0;
            $page->sortorder   = 2000;

            if (!$newid = insert_record("cmsnavi_data", $page)) {
                delete_records("cmspages", "id", $pageid);
                error ("Error while linking page to menu! Page has been removed.");
            }

            $message = get_string("newpageadded","cms");
            redirect("pages.php?course=$course->id&amp;menuid=$page->naviid&amp;sesskey=$USER->sesskey", $message);

        } else {
            $error = get_string('missingtitle','cms');
        }

    }

    $usehtmleditor = can_use_html_editor();

    $stradministration = get_string("administration");
    $strcms            = get_string("cms","cms");
    $strpages          = get_string("pages","cms");
    $straddnew         = get_string("addnewpage","cms");
    $strformtitle      = &$straddnew;

    if ($course->category) {
        $navigation = "<a href=\"../course/view.php?id=$course->id\">$course->shortname</a> -> ";
    } else {
        $navigation = '';
    }

    $navigation .= '<a href="./">'. $strcms .'</a> -> <a href="pages.php?course='. $course->id .
                       '&amp;sesskey='. $USER->sesskey .'">'. $strpages .'</a> -> ';


    $form = new stdClass;
    $form->id = $id;
    $form->menus = get_records("cmsnavi", "course", $course->id);

    if ( !empty($page->title) ) {
        $form->title = $page->title;
    }

    if ( !empty($page->body) ) {
        $form->body = $page->body;
    }

    ob_start();

    print_header("$site->shortname: $stradministration","$site->fullname", "$navigation $straddnew");

    print_simple_box_start("center", "100%", "", 20);
    print_heading($stradministration);

    if ( !empty($error) ) {
        notify($error);
    }

    include_once('html/editpage.php');

    print_simple_box_end();

    if ($usehtmleditor) {
        use_html_editor();
    }

    print_footer($course);

    ob_end_flush();

?>