<?php // $Id$
// Add new page

    require_once("../config.php");
    include_once('cmslocallib.php');

    $id   = required_param('id', PARAM_INT); // Menu id
    $skey = required_param('sesskey', PARAM_ALPHANUM);
    $courseid = optional_param('course', 0, PARAM_INT);

    if (! confirm_sesskey($skey)) {
        error("Session key error!");
    }

    /// Set up the overall site name etc.
    if (! $site = get_site()) {
        redirect("site.php");
    }

    if ( empty($courseid) ) {
        $courseid = $site->id;
    }

    if ( !$course = get_record("course", "id", $courseid) ) {
        error("Invalid course id!!!");
    }

    require_login();
    $isadmin = isadmin();
    $isteacheredit = isteacheredit($course->id);

    if ( !$isadmin && !$isteacheredit ) {
        error("You need to be an admin user to use this page.", "$CFG->wwwroot/");
    }

    if ($page = data_submitted()) {

        if ( !empty($page->cancel) ) {
            redirect("pages.php?course=$course->id&amp;menuid=$page->naviid&amp;sesskey=$USER->sesskey");
        }

        // Get page data to see if this user can delete this page.
        $page->id = clean_param($page->id, PARAM_INT);
        if (! $navidata = get_record("cmsnavi_data", "pageid", $page->id) ) {
            redirect("pages.php?course=$course->id&amp;menuid=$page->naviid&amp;sesskey=$USER->sesskey",
                     "Could not get navidata! You cant delete this page!", 2);
        }

        if (! $navi = get_record("cmsnavi", "id", $navidata->naviid) ) {
            redirect("pages.php?course=$course->id&amp;menuid=$page->naviid&amp;sesskey=$USER->sesskey",
                     "Could not get navi and course id's! You cant delete this page!", 2);
        }

        if ( intval($navi->course) !== intval($course->id) ) {
            error("You have no rights to delete page $navidata->title","$CFG->wwwroot/");
        }

        // Delete child pages first if any.
        $childpages = cms_get_children_ids($page->id);
        if ( !empty($childpages) ) {
            foreach ( $childpages as $childpage ) {
                delete_records("cmspages","id", $childpage);
                delete_records("cmsnavi_data", "pageid", $childpage);
            }
        }

        // Delete page first
        if (!delete_records("cmspages","id", $page->id)) {
            error("Could not delete page!");
        }
        // Delete navidata
        if (!delete_records("cmsnavi_data","id", $navidata->id)) {
            error("Could not delete navigation data!");
        }

        $message = get_string("pagedeleted","cms");
        redirect("pages.php?course=$course->id&amp;menuid=$page->naviid&amp;sesskey=$USER->sesskey", $message);

    } else {

        $stradministration = get_string("administration");
        $strcms            = get_string("cms","cms");
        $strpages          = get_string("pages","cms");
        $strdelete         = get_string("deletepage","cms");

        if ($course->category) {
            $navigation = "<a href=\"../course/view.php?id=$course->id\">$course->shortname</a> -> ";
        } else {
            $navigation = '';
        }

        $navigation .= '<a href="./index.php?course='. $courseid .'&amp;sesskey='. $USER->sesskey .'">'.
                       $strcms .'</a> -> <a href="pages.php?course='. $course->id .'&amp;sesskey='.
                       $USER->sesskey.'">'. $strpages .'</a> -> ';

        ob_start();

        print_header("$site->shortname: $stradministration","$site->fullname", "$navigation $strdelete");
        print_simple_box_start("center", "100%", "", 20);
        print_heading($stradministration);

        $form = cms_get_pagedata($id);

        $deletemessage = get_string("pagedeletesure","cms", $form->title);
        include_once('html/delete.php');

        print_simple_box_end();
        print_footer($course);

        ob_end_flush();

    }
?>